com.rscja.scanner.led

## Class ScanLed

- java.lang.Object
- - com.rscja.scanner.led.ScanLed

- Direct Known Subclasses:
    C60_6765_11_ScanLed_qcom, C60_qcm2150_10_ScanLed_qcom, C6000_6762_ScanLed_mtk, C61_smd450_90_ScanLed_qcom, C66_smd450_90_ScanLed_qcom, C66m_sm6115_10_ScanLed_qcom, C7X_6765_ScanLed_mtk, C90_6762_ScanLed_mtk, MC50_4350_12_ScanLed_qcom, P80_8786_130_ScanLed_qcom, P80_8953_90_ScanLed_qcom

      public abstract class ScanLed
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScanLed()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `blink()` 亮0.5S后熄灭 light up for 0.5s then OFF
    `void` | `blink(int lightTime, int interval)` 控制亮灯后自动熄灭
    `void` | `free()` 释放设备资源 release device source
    `void` | `init(android.content.Context context)` 初始化设备资源 initialize device source
    `abstract void` | `off()` 关闭LED灯 Switch off LED light
    `abstract void` | `on()` 打开LED灯 Switch on LED light

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScanLed

          public ScanLed()

  - ### Method Detail

    - #### init

          public void init(android.content.Context context)

      初始化设备资源
      initialize device source

    - #### free

          public void free()

      释放设备资源
      release device source

    - #### on

          public abstract void on()

      打开LED灯
      Switch on LED light

    - #### off

          public abstract void off()

      关闭LED灯
      Switch off LED light

    - #### blink

          public void blink()

      亮0.5S后熄灭
      light up for 0.5s then OFF

    - #### blink

          public void blink(int lightTime,
                            int interval)

      控制亮灯后自动熄灭
      Parameters:
        `lightTime` - 亮度时间(不低于50ms),到达此时间之后自动熄灭,单位:毫秒
        `interval` - 间隔时间(不低于50ms),单位:毫秒